<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="edu.whut.jianshu">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" /> <!-- 监听网络的变化 -->
    <!-- 网络权限 -->

    <!--获取wifi网络状态的信息 -->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" /> <!-- 设备休眠 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.CAMERA" /> <!-- 摄像头 -->
    <uses-permission android:name="android.permission.RECORD_AUDIO" /> <!-- 录音 -->
    <uses-permission android:name="android.permission.VIBRATE" />
    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/test"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.Jianshu"
        android:usesCleartextTraffic="true">
        <activity android:name="edu.whut.jianshu.Activity.GoodBookActivity" />
        <activity android:name="edu.whut.jianshu.Activity.HotBookActivity" />
        <activity android:name="edu.whut.jianshu.Activity.BookInformationActivity" />
        <activity android:name="edu.whut.jianshu.Activity.PerceptionActivity" />
        <activity android:name="edu.whut.jianshu.Activity.FindpwdActivity" />
        <activity android:name="edu.whut.jianshu.Activity.LiteratureActivity" />
        <activity android:name="edu.whut.jianshu.Activity.PsychologyActivity" />
        <activity android:name="edu.whut.jianshu.Activity.ManagementActivity" />
        <activity android:name="edu.whut.jianshu.Activity.PhilosophyActivity" />
<!--        <activity android:name=".BookShelfActivity"/>-->
        <activity android:name="edu.whut.jianshu.Activity.ScienceActivity" />
        <activity android:name="edu.whut.jianshu.Activity.Author_introductionActivity" />
        <!--        <activity android:name=".MainActivity"-->
<!--            android:exported="true"-->
<!--            android:label="@string/app_name"-->
<!--            >-->
<!--            <intent-filter>-->
<!--                <action android:name="android.intent.action.MAIN" />-->

<!--                <category android:name="android.intent.category.LAUNCHER" />-->
<!--            </intent-filter>-->
<!--        </activity>-->
        <activity android:name="edu.whut.jianshu.Activity.SendSpecificActivity" />
        <activity android:name="edu.whut.jianshu.Activity.BookIntroActivity" />
         <activity android:name="edu.whut.jianshu.Activity.MainActivity"
             android:configChanges="orientation|keyboard|keyboardHidden|navigation"
             />
        <activity android:name="edu.whut.jianshu.Activity.RegisterActivity" />
        <activity android:name="edu.whut.jianshu.Activity.BookShelfActivity" />
        <activity android:name="edu.whut.jianshu.Activity.Perception_informationActivity" />
        <activity android:name="edu.whut.jianshu.Activity.sendPerceptionActivity" />
        <activity android:name="edu.whut.jianshu.Activity.MyActivity" />
        <activity android:name="edu.whut.jianshu.Activity.MyPostActivity" />
        <activity android:name="edu.whut.jianshu.Activity.ReEmailActivity" />
        <activity android:name="edu.whut.jianshu.Activity.RePhoneActivity" />
        <activity android:name="edu.whut.jianshu.Activity.ReMyinfoActivity" />
        <activity android:name="edu.whut.jianshu.Activity.ReNameActivity" />
        <activity android:name="edu.whut.jianshu.Activity.ReSexActivity" />
        <activity android:name="edu.whut.jianshu.Activity.ReSignatureActivity" />
        <activity android:name="edu.whut.jianshu.Activity.AccountManagerActivity" />
        <activity android:name="edu.whut.jianshu.Activity.ReAddressActivity"/>
        <activity
            android:name="edu.whut.jianshu.Activity.LoginActivity"
            android:exported="true"
            android:label="Jianshu">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.bifan.txtreaderlib.ui.HwTxtPlayActivity"
            android:exported="true"
            android:theme="@style/HwTxtFullScreen">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
                <data android:mimeType="text/plain" />
            </intent-filter>
        </activity>
        <provider
            android:name="cn.bmob.v3.util.BmobContentProvider"
            android:authorities="com.zjgsu.jianshu.BmobContentProvider">
        </provider>
    </application>

</manifest>